/* -------------------------------------------------------------------- */
/* SMS Client, send messages to mobile phones and pagers		*/
/*									*/
/* common.h								*/
/*									*/
/*  Copyright (C) 1997,1998 Angelo Masci				*/
/*									*/
/*  This library is free software; you can redistribute it and/or	*/
/*  modify it under the terms of the GNU Library General Public		*/
/*  License as published by the Free Software Foundation; either	*/
/*  version 2 of the License, or (at your option) any later version.	*/
/*									*/
/*  This library is distributed in the hope that it will be useful,	*/
/*  but WITHOUT ANY WARRANTY; without even the implied warranty of	*/
/*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU	*/
/*  Library General Public License for more details.			*/
/*									*/
/*  You should have received a copy of the GNU Library General Public	*/
/*  License along with this library; if not, write to the Free		*/
/*  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.	*/
/*									*/
/*  You can contact the author at this e-mail address:			*/
/*									*/
/*  angelo@styx.demon.co.uk						*/
/*									*/
/* -------------------------------------------------------------------- */
/* $Id$
   -------------------------------------------------------------------- */

#if !defined(_COMMON_H)
#define _COMMON_H 1

/* -------------------------------------------------------------------- */

#define FALSE 		0
#if !defined(AIX)
#define TRUE 		(!FALSE)
#endif

/* -------------------------------------------------------------------- */

#define MAXLINELEN 	256		/* Commonly used for buffers 	*/

/* -------------------------------------------------------------------- */

size_t sms_strlen(const char *s);
char *sms_strcpy(char *dest, const char *src);
char *sms_strcat(char *dest, const char *src);

/* -------------------------------------------------------------------- */

#if defined(SOLARIS)
#if defined(SOLARIS_2_4)
#include <sys/time.h>

void sms_usleep(long microseconds);

#define bzero(destination, length) 	memset(destination, '\0', length)
#define usleep(microseconds) 		sms_usleep(microseconds)
#else
int usleep(unsigned int useconds);
#endif
#endif
#endif
/* -------------------------------------------------------------------- */
/* -------------------------------------------------------------------- */

